class  AGUI_COLOR_DIALOG
   
   
inherit
   AGUI_PREDEFINED_DIALOG
      end
   
   
creation
   make
   
   
feature {ANY}  -- properties
   
   
   color : AGUI_COLOR is
      do
	 result.from_integer(efox_color_dialog__color(handle))
      end
   
   
   set_color (col: AGUI_COLOR) is
      do
	 efox_color_dialog__set_color(handle, col.to_integer)
      end
   
   
   opaque_colors_only : BOOLEAN is --TODO ab und zu falsch
      do
	 efox_color_dialog__opaque_colors_only(handle)
      end
   
   
   set_opaque_colors_only (flag: BOOLEAN) is
      do
	 efox_color_dialog__set_opaque_colors_only(handle, flag)
      end
   
   
feature {NONE} -- Constructor
   
   
   make (owner: AGUI_WINDOW) is
	 -- Create a dialog that stays on top of 'owner'.
      require
	 not owner.is_zombie      
      do
	 handle := efox_color_dialog__make(Current,owner.handle,$temp_key)
	 check not efox__window_hash_table.has(temp_key) end
	 efox__window_hash_table.put(Current, temp_key)
      end   
   

feature {NONE} -- private C binding
   
   
   efox_color_dialog__make(this:like Current; ptr,cptr: POINTER) : POINTER is
      external "C"
      end
   
   efox_color_dialog__opaque_colors_only(h: POINTER) is
      external "C"
      end
   
   efox_color_dialog__set_opaque_colors_only(h: POINTER; f: BOOLEAN) is
      external "C"
      end
   
   efox_color_dialog__color(h: POINTER) : INTEGER is
      external "C"
      end
   
   efox_color_dialog__set_color(h: POINTER; n: INTEGER) is
      external "C"
      end
   
end   
