class  AGUI_FILE_SETTINGS
   
-- TODO writting settings to a file is not atomar !!!!
-- zumindest imitieren durch schreiben nach "temp"   
   
inherit
   AGUI_SETTINGS   
      redefine save
      end
   MEMORY
      redefine dispose
      end
   
creation
   {ANY} make
   

feature {NONE}  -- constructor, not for reinitialization
   
   
   dispose is
      do
	 efox_file_settings__dispose(handle)
      end
   
   make  is
      require
      do
	 init_settings(efox_file_settings__make)
      end
   
   
feature {ANY}  --  loading and saving data to file
   
   
   set_path (p: STRING) is
      require
	 p /= Void
	 p.count > 0
      do
	 path := clone(p)
      end
   
   
   path : STRING
   
   
   load is
	 -- Load 'ini' file.
	 -- sets last_status to 'false' if file can't be opened for read
      require
	 path /= Void
      do
	 init_settings(efox_file_settings__load(handle,path.to_external,$last_status))
      end
   
   
   save is
	 -- Make all changes persistent.
	 -- sets last_status to 'false' if file can't be opened for write
      require
	 path /= Void
      do
	 last_status := efox_file_settings__save(handle,path.to_external)
      end
   
   
feature {NONE} -- private C binding   
   
   
   efox_file_settings__dispose(hnd: POINTER) is
      external "C"
      end
   
   efox_file_settings__make : POINTER is
      external "C"      
      end
   
   efox_file_settings__load(hnd,str,bptr: POINTER) : POINTER is
      external "C"
      end
   
   efox_file_settings__save(hnd,str: POINTER) : BOOLEAN is
      external "C"
      end      
   
end
   
   
