class AGUI_ICON
   
creation
   {AGUI_ICON_MANAGER} make
   
   
feature {ANY}
   
   
   name : STRING is
	 -- new created string with registered name of icon.
      require
	 not is_zombie
      do
	 result := clone(efox_icon__name(handle))
      ensure
	 name /= Void
	 name.count > 0
      end
   
   width : INTEGER
	 -- width of icon in pixel
   
   height : INTEGER
	 -- height of icon in pixel
   
   
   is_zombie : BOOLEAN is
	 -- is icon already destroyed
      do
	 result := handle = default_pointer
      end
   
   
   destroy is
      require
	 not is_zombie
      do
	 efox_icon__destroy(Current,handle)
	 handle := default_pointer
      ensure
	 is_zombie
      end
   
   
feature {ANY}  -- required access for output
   
   handle : POINTER
	 -- handle to an 'FXIcon' data structure
   
feature {NONE} -- private section
   
   make (hnd: POINTER; w,h:INTEGER) is
      require
	 hnd /= default_pointer
      do
	 handle := hnd;
	 width := w;
	 height := h;
      end

   efox_icon__name(hnd: POINTER) : STRING is
      external "C"
      end
   
   efox_icon__destroy(this:like Current; hnd: POINTER) is
      external "C"
      end
   

end


   
