class  AGUI_KEY_ACCELERATOR_TABLE
   

creation
   {AGUI_SHELL_WINDOW} make
   
   
feature
   
   --TODO what syntax is available for strings - what keys, need documentation
   
   add (s: STRING; a: PROCEDURE[ANY,TUPLE]) is
      local
	 idx : INTEGER
      do
	 idx := efox_key_accelerator_table__add(win, s.to_external)
	 if idx /= 0 then
	    if dict.has(idx) then
	       dict.remove(idx)
	    end
	    dict.add(a, idx)
	 end
      end
   
   
   remove (s: STRING) is
      local
	 idx : INTEGER
      do
	 idx := efox_key_accelerator_table__remove(win, s.to_external)
	 if idx /= 0 then
	    dict.remove(idx)
	 end
      end
   
   
   has (s: STRING) : BOOLEAN is
      do
	 result := efox_key_accelerator_table__has(win, s.to_external)
      end   
   
   
   is_valid_accelerator (s: STRING) : BOOLEAN is
      do
	 result := efox_key_accelerator_table__is_valid_accelerator(win, s.to_external)
      end
   
   
   
feature {AGUI_SHELL_WINDOW}

   
   callback (n: INTEGER) is
      do
	 if dict.has(n) then
	    dict.at(n).call([])
	 end
      end
   

feature {NONE}
   
 
   win : POINTER
   dict : DICTIONARY[PROCEDURE[ANY,TUPLE],INTEGER]
   
   
   efox_key_accelerator_table__has(w,s: POINTER) : BOOLEAN is
      external "C"
      end
   
   efox_key_accelerator_table__is_valid(w,s: POINTER) : BOOLEAN is
      external "C"
      end
   
   efox_key_accelerator_table__add(w,s: POINTER) : INTEGER is
      external "C"
      end
   
   efox_key_accelerator_table__remove(w,s: POINTER) : INTEGER is
      external "C"
      end

   make (w: POINTER) is
      require
	 w /= default_pointer
      do
	 create dict.with_capacity(10)
	 win := w
      end

end
   
