class  AGUI_SHUTTER
   
--TODO command which button is displayed !!
   
inherit
   AGUI_VERTICAL_FRAME
      rename make as make_vertical
      export {NONE} make_vertical 
      end
   
creation
   {ANY} make
   
   
feature {ANY}
   
   
   no_of_items : INTEGER is
      require 
	 not is_zombie
      do
	 result := efox_shutter__no_of_items(handle)
      end
   
   
   current : INTEGER is
      require 
	 not is_zombie
      do
	 result := efox_shutter__current(handle)
      ensure
	 result >= 0
      end
   
   
   set_current (n: INTEGER) is
      require
	 not is_zombie
	 n.in_range(1,no_of_items)
      do
	 efox_shutter__set_current(handle, n)
      end
   
   
feature {NONE} -- constructor
   
   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 handle := efox_shutter__make(Current,p.handle,n.to_external,$temp_px)
	 efox__window_hash_table.put(Current, temp_px)
      end
  
 
feature {NONE} -- private C binding
   
   
   efox_shutter__make(this:like Current; phnd,str,keyptr: POINTER) : POINTER is
      external "C"
      end
   
   efox_shutter__no_of_items(hnd: POINTER) : INTEGER is
      external "C"
      end
   
   efox_shutter__current(hnd: POINTER) : INTEGER is
      external "C"
      end
   
   efox_shutter__set_current(hnd: POINTER; n: INTEGER) is
      external "C"
      end
   
end
   
