class AGUI_SHUTTER_ITEM

   
inherit
   AGUI_VERTICAL_FRAME
      rename make as make_vertical
      export {NONE} make_vertical 
      end


creation
   {ANY} make

   
feature {ANY}


   button : AGUI_BUTTON is
      require 
	 not is_zombie
      do
	 result := efox_shutter_item__button(handle)
      ensure
	 result /= Void
      end
   
   
   content : AGUI_VERTICAL_FRAME is
      require 
	 not is_zombie
      do
	 result := efox_shutter_item__content(handle)
      ensure
	 result /= Void
      end
   
   
feature {NONE} -- constructor
   
   
   make (p: AGUI_SHUTTER;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 handle := efox_shutter_item__make(Current,p.handle,n.to_external,$temp_px)
	 efox__window_hash_table.put(Current, temp_px)
      end
  
   
feature {NONE} -- private C binding
   
   
   efox_shutter_item__make(this:like Current; phnd,str,keyptr: POINTER) : POINTER is
      external "C"
      end
   
   efox_shutter_item__button(hnd: POINTER) : AGUI_BUTTON is
      external "C"
      end
   
   efox_shutter_item__content(hnd: POINTER) : AGUI_VERTICAL_FRAME is
      external "C"
      end
   
end
