class  AGUI_STATUSBAR
   

inherit
   AGUI_HORIZONTAL_FRAME
      rename make as make_hframe
      end   
   

creation
   {ANY} make
   

feature {ANY} -- properties
   
   
   drag_corner_visible : BOOLEAN is
      do
	 result := efox_statusbar__dragcorner_visible(handle)
      end
   
   
   set_drag_corner_visible (flag: BOOLEAN) is
      do
	 efox_statusbar__set_dragcorner_visible(handle,flag)
      end
   
   
feature {ANY} -- subwindows access
   
   
   statusline : AGUI_STATUSLINE is
      do
	 result ?= find_window_by_name("statusline")
      end
   
   
   drag_corner : AGUI_DRAG_CORNER is
      do
	 result ?= find_window_by_name("drag-corner")
      end
   
   
feature {NONE} -- constructor, not for reinitialization
   
   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 handle := efox_statusbar__make(Current,p.handle, n.to_external, $temp_px)
	 efox__window_hash_table.put(Current, temp_px)
      end
   
   
feature {NONE} -- private C binding
   
   
   efox_statusbar__make (this:like Current; hnd,n,keyptr: POINTER) : POINTER is
      external "C"
      end
   
   efox_statusbar__dragcorner_visible (hnd: POINTER) : BOOLEAN is
      external "C"
      end
   
   efox_statusbar__set_dragcorner_visible (hnd: POINTER; flag: BOOLEAN) is
      external "C"
      end

end
