class AGUI_TREE   
   
inherit
   AGUI_EXPANDED_TREE_BASE
      end
   
   
creation
   make
   
   
feature {NONE}  -- constructor
   
   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
         handle := efox_tree__make(Current,p.handle, n.to_external, $temp_px)
	 efox__window_hash_table.put(Current, temp_px)
	 create item_dict.with_capacity(100)
      end
         
   
feature {NONE} -- private C binding
   
 
   efox_tree__make(this:like Current; hnd, n, k: POINTER) : POINTER is
      external "C"
      end
   
   efox__callback_destroy_item (i: AGUI_TREE_ITEM; key: INTEGER) is
      do
	 check item_dict.has(key) end
	 item_dict.remove(key)
	 i.mark_zombie
      end   
   
end
   
