class  AGUI_VERTICAL_FRAME
   
inherit
   AGUI_PACKER
      rename make as make_packer
      end
   
   
creation
   {ANY} make

creation
   {AGUI_APPLICATION} make_internal
   

feature {NONE} -- constructor

   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 handle := efox_vertical_frame__make(Current,p.handle, n.to_external, $temp_px)
	 efox__window_hash_table.put(Current, temp_px)
      end
   
   make_internal (hashkey: INTEGER; hnd: POINTER) is
      require
	 hnd /= default_pointer
      do
	 handle := hnd
	 efox__window_hash_table.put(Current, hashkey)
      end
   
   
feature {NONE} -- private C binding
   
   
   efox_vertical_frame__make (this:like Current; hnd,str,keyptr: POINTER) : POINTER is
      external "C"
      end
	 
   
end
