class  TEST_BUTTON
   
   
inherit
   TEST_LABEL_BASE
      end
   AGUI_MAIN_WINDOW
      rename make as make_main
      end
   AGUI_GLOBALS
      end
   
   
creation
   make

   
feature {NONE} -- constructor
   
   popup: AGUI_POPUP_WINDOW
   
   checkbutton_clicked (flag: BOOLEAN; cb: AGUI_CHECK_BUTTON) is
      local
	 w,h: INTEGER
	 t: TUPLE[INTEGER,INTEGER]
      do
	 if flag then 
	    w := popup.default_width
	    h := popup.default_height
	    t := [cb.xpos-w, cb.ypos-h]
	    translate_coordinates_to_root(t)
	    popup.popup(t.first, t.second, w,h)
	 else
	    popup.popdown
	 end
	 io.put_string("Checkbutton - New State: " + flag.to_string + "%N")
      end
      
   togglebutton_clicked (flag: BOOLEAN) is
      do
	 io.put_string("Togglebutton - New State: " + flag.to_string + "%N")
      end
   

   make is
      local
	 b: AGUI_BUTTON
	 l: AGUI_LABEL
	 c: AGUI_CHECK_BUTTON
	 t: AGUI_TOGGLE_BUTTON
	 o: AGUI_OPTION_BUTTON
	 --	 sb: AGUI_STATUSBAR
	 color : AGUI_COLOR
      do
	 init
	 make_main("main")
	 
	 create popup.make(Current, "foobar")
	 popup.set_shrink_wrap(true)
--	 popup.set_frame_style(popup.Frame_groove, true)
	 color.from_rgb(200,0,0)	 
	 popup.set_frame_color(color)
	 create l.make(popup,"m")
	 l.set_background_color(color)
	 l.set_text("foobar")
	 l.set_can_focus(false)
	 
	 --	 create sb.make(Current,"status")
	 
	 create l.make(Current,"label")
	 l.set_text("Button: ")
	 l.set_layout_hints(l.Layout_side_left)
	 create b.make(Current,"button")
	 b.set_text("Dummy Button")
	 b.set_icon(icon1)
	 create c.make(Current,"check-button")
	 c.set_text("This is a check button")
	 c.set_on_command(agent checkbutton_clicked(?,c))
	 ---
	 create t.make(Current,"toggle-button")
      t.set_text("This is one side%Nof the button");
      t.set_alternate_text("and this is the%Nother side") 
      t.set_icon(icon1)
      t.set_alternate_icon(icon2)
      t.set_on_command(agent togglebutton_clicked)
      ---
      create o.make(Current, "option-button")
   o.append_option("1. Option", icon1)
   o.append_option("2. Option", icon2)
   o.append_option("3. Option", icon3)
   o.set_current_option(1)
      ---
   b.set_on_destroy(agent destroy_message)
b.set_on_focus_in(agent focus_in_message)
b.set_on_focus_out(agent focus_out_message)
b.set_on_command(agent command_message)
	 b.set_focus(true)
	 resize(500,500)
	 move(100,100)
	 set_visible(true)
	 application.run
	 if false then
	 start_label_base_test(b)
	 -------  start test routines for mixins  --------
	 test_packer_mixin(t)
      application.run
      test_frame_mixin(t)
      application.run
      -------  test label base routine  --------
      test_label_base(t)
      application.run
      test_control(t)
      application.run
      end
      end
   
end
