class  TEST_MULTICOLUMN_LIST
   

inherit
   TEST_HELPER
      end
   
   
creation
   make
   

feature
   
   p(s: STRING) is
      do
	 io.put_string(s + "%N")
      end
   
   
   list: AGUI_MULTICOLUMN_LIST
   item1, item2, item3 : AGUI_MULTICOLUMN_LIST_ITEM
   
   
   
   test_list_base_item (i: AGUI_MULTICOLUMN_LIST_ITEM) is
      do
	 -- test AGUI_MULTICOLUMN_LIST_ITEM
	 i.set_text("Changed the text")
	 check i.text.is_equal("Changed the text") end
	 i.set_icon(icon1)
	 check i.icon = icon1 end
	 i.set_data(i)
	 check i.data = i end
	 check i.is_zombie = false end
	 check i.list_window = list end
	 --TODO is_current noch testen
	 io.put_string("is current: " + i.is_current.to_string + "%N")
	 application.add_timer_task(1000, agent test_list_base_item_1(i))
	 --TODO move_before/move_after testen
      end
   
   
   test_list_base_item_1 (i: AGUI_MULTICOLUMN_LIST_BASE_ITEM) is
      do
	 i.destroy
	 application.add_timer_task(1000, agent application.stop)
      end
   
   
   test_expanded_list_select(l: AGUI_MULTICOLUMN_LIST) is
      local
	 la : ARRAY[AGUI_MULTICOLUMN_LIST]
      do
	 -- test the select methods 
	 l.select_all
	 io.put_string(l.count.to_string +" items %N")
	 io.put_string(l.count_selected.to_string +" items %N")
	 check l.count_selected = l.count end
	 l.unselect_all
	 check l.count_selected = 0 end
	 l.toggle_selected
	 check l.count_selected = l.count end
	 create la.with_capacity(10,1)
--	 l.append_selected_in(la)
--	 check la.count = l.count end
--	 la.clear
--	 l.do_all_selected(agent la.add_last)
--	 check la.count = l.count end
      end
   
      
   
   make is
      local
	 b: AGUI_BUTTON
	 li: AGUI_MULTICOLUMN_LIST_ITEM
	 i,n: INTEGER
      do
	 init
	 -------------------
	 create list.make(Current,"list")
         list.set_visible_size(-200,-200)
         list.append_column("Name",100)
         list.append_column("Vorname",100)
	 check list.visible_width = -200 end
	 check list.visible_height = -200 end
	 
	 create item1.make(list, "hallo%T Welt")
	 create item1.make(list, "Hello%T World")
	 create item2.make_with_icon(list, "Icon%T 1", icon1)
	 from i:=0; n:=1000 until i > n loop
	    create li.make(list, "Item%T " + i.to_string)
	    i := i + 1
	 end	 
	 create item3.make_with_icon(list, "Icon 2", icon2)
	 
	 create b.make(Current,"button")
	 b.set_text("Exit Program")
	 b.set_icon(icon1)
	 b.set_on_command(agent application.stop)
	 list.set_style(list.Browse_selection)	 
	 application.add_timer_task(500, agent test_expanded_list_select(list))
	 application.add_timer_task(10000, agent application.stop)
	 application.run
	 item1.destroy
	 check item1.is_zombie end
	 destroy
      end
	 
	 
end
