class  TEST_RADIO_BUTTON
   
inherit
   TEST_HELPER
      end

   
creation
   make


feature
   
   r1,r2,r3,r4,r5: AGUI_RADIO_BUTTON
   
   
   p(s: STRING) is
      do
	 io.put_string(s + "%N")
      end
   
   mouse_motion(mod: BIT Integer_bits; x: INTEGER; y:INTEGER) is
      do
	 p("Motion: " + x.to_string + "," + y.to_string)
      end
   
   command (n: INTEGER) is
      do
	 p("Selected radio: " + n.to_string)
      end
   
   
   make is
      do
	 init
	 ---------------
	 create r1.make(Current, "r1");  
	 r1.set_text("Radiobutton 1 - Group 1")
	 r1.set_group_id(1)
	 check not r1.checked end
	 r1.set_checked(true)
	 check r1.checked end
	 create r2.make(Current, "r2");  
	 r2.set_text("Radiobutton 2 - Group 1")
	 r2.set_group_id(1)
	 create r3.make(Current, "r3");  
	 r3.set_text("Radiobutton 3 - Group 2")
	 r3.set_group_id(2)
	 create r4.make(Current, "r4");  
	 r4.set_text("Radiobutton 4 - Group 2")
	 r4.set_group_id(2)
	 check r4.group_id = 2 end
	 create r5.make(Current, "r5");  
	 r5.set_text("Radiobutton 5 - Group 1")
	 r5.set_group_id(1)
	 check r5.group_id = 1 end
	 
	 r1.set_radio_color(red_color)
	 r2.set_radio_color(green_color)
	 check r2.radio_color = green_color end
	 
	 r1.set_on_command(agent command(1))
	 r2.set_on_command(agent command(2))
	 r3.set_on_command(agent command(3))
	 r4.set_on_command(agent command(4))
	 r5.set_on_command(agent command(5))
	 
         application.add_timer_task(10000, agent application.stop)
         application.run
	 destroy
      end
   
   
end
   
