class TEST_SLIDER
   
inherit
   TEST_HELPER
      end

creation
   make

feature
   
   --TODO test static tooltip
   
   
   slider : AGUI_SLIDER
   label_change : AGUI_LABEL
   label_command : AGUI_LABEL
   
   
   on_change_agent (n: INTEGER) is
      do
	 label_change.set_text("on change : " + n.to_string)
      end
   
   on_command_agent (n: INTEGER) is
      do
	 label_command.set_text("on command : " + n.to_string)
      end
   
   p(s: STRING) is
      do
	 io.put_string(s + "%N")
      end
   
   
   make is
      do
	 init
	 create slider.make(Current, "header")
	 create label_change.make(Current, "l1")
	 create label_command.make(Current, "l1")
	 label_command.set_text("on change : ")
	 label_change.set_text("on change : ")
	 
	 slider.set_on_changed(agent on_change_agent)
	 slider.set_on_command(agent on_command_agent)
	 
	 slider.set_fixed_width(100)
	 slider.set_fixed_height(20)
	 slider.set_value(100)
	 check slider.value = 100 end
	 slider.set_head_size(10)
	 check slider.head_size = 10 end
	 slider.set_increment_value(2)
	 check slider.increment_value = 2 end
	 p("range: low ="+slider.range.first.to_string)
	 p("range:  hi ="+slider.range.first.to_string)
	 slider.set_range([10,40])
         slider.set_slot_color(red_color)
	 check slider.slot_color = red_color end
	 slider.set_slot_size(40)
	 check slider.slot_size = 40 end
	 slider.set_style(slider.Slider_arrow_left + slider.Slider_inside_bar)
	 p("style: " + slider.style.to_string)	
	 
	 application.add_timer_task(12000, agent application.stop)
         application.run
      end
   
end
