class  TEST_STATE_BUTTON
   
   
inherit
   TEST_HELPER
      end

creation
   make
   
   
feature
   
   sbutton : AGUI_STATE_BUTTON
   
   
   p(s: STRING) is
      do
	 io.put_string(s + "%N")
      end
   
   mouse_motion(mod: BIT Integer_bits; x: INTEGER; y:INTEGER) is
      do
	 p("Motion: " + x.to_string + "," + y.to_string)
      end
   
   command (flag: BOOLEAN) is
      do
	 p("Invoked state button: " + flag.to_string)
      end
   
   destroy_agent is
      do
	 p("destroy button")
      end
	   
   
   make is
      do
	 init
	 create sbutton.make(Current, "foo")
	 sbutton.set_on_mouse_motion(agent mouse_motion)
	 sbutton.set_text("state button")
	 sbutton.set_icon(icon1)
	 sbutton.set_on_command(agent command)
	 sbutton.set_on_destroy(agent destroy_agent)
	 
	 sbutton.set_toolbar_style(true)
	 check sbutton.toolbar_style = true end
	 check not sbutton.pressed end
	 sbutton.set_pressed(true)
	 check sbutton.pressed end
	 
	 application.add_timer_task(4000, agent application.stop)
         application.run
	 destroy
      end
   
end
