class AGUI_APPLICATION
   
   
creation
   {AGUI_GLOBALS} make
   
   
feature {ANY} -- Initialization
   
   
   is_initialized : BOOLEAN   
	 -- Test if we already executed the initialization part of 
	 -- the application.
   
   
   init (application_name, vendor_name: STRING) is
	 -- Init the application. This must be called before anything else
	 -- in the AGUI subsystem is called.
      require
	 application_name /= Void and then application_name.count > 0
	 vendor_name /= Void and then vendor_name.count > 0
      local
	 cm : AGUI_CURSOR_MANAGER
	 im : AGUI_ICON_MANAGER
	 
	 argv : POINTER;
	 argc : POINTER;
      do
	 c_inline_c("_argc=(void*)&se_argc; _argv=(void*)se_argv;") --TODO check if this is okay
	 efox_application__init(Current,application_name.to_external, vendor_name.to_external,argv,argc)
	 c_inline_h("void AGUI_FONT_MANAGER__unregister(void* C,void* a1,void* a2,T6 a3);%
		    %void AGUI_FONT_MANAGER__unregister_zombie(void* C,void* a1);%
		    %void AGUI_FONT_MANAGER__register_callback(void* C,void* a1,T8 a2);%
		    %void AGUI_ICON_MANAGER__unregister_zombie(void* C,void* a1);%
		    %void AGUI_ICON_MANAGER__unregister(void* C,void* a1,void* a2,T6 a3);%
		    %void AGUI_WINDOW__efox__callback_mouse_adjust(void* C,int x, int y);%
		    %void AGUI_MENU_BASE__clear(void* C);%
		    %void AGUI_MENU_TEXT_ITEM__invoke(void* C);%
		    %void AGUI_SETTINGS__efox__callback(void* C,void* a1,void* a2);%
		    %void ARRAY_STRING_add_last(void* C,void* a1);%
		    %void AGUI_APPLICATION__callback_remove_task(void* C,void* a1);%
		    %void* AGUI_APPLICATION__efox__creator_callback(void* C,T2 a1,T2 a2,T8 a3);%
		    %void* AGUI_ICON_MANAGER__find_callback(void* C, void* name);%
		    %void STRING_resize(void* C,T2 a1);%
		    %T8 STRING_to_external(void* C);%
		    %void AGUI_PROCESS__efox__callback_error(void* C, void* ptr);%
		    %void AGUI_PROCESS__efox__callback_output(void* C, void* ptr);%
		    %void AGUI_PROCESS__efox__callback_terminate(void* C);%
		    %void AGUI_CURSOR_MANAGER__destroy_callback(void* C,T8 a1);%
		    %void* AGUI_CURSOR_MANAGER__register_callback(void* C,T8 a1,T2 a2,T2 a3,T2 a4,T2 a5);%
		    %void AGUI_MENU__efox__callback_posted(void* C);%
		    %void AGUI_MENU_TEXT_ITEM__efox__callback_invoke(void* C);%
		    %void AGUI_MENU_ITEM__efox__callback_destroy_item(void* C);%
		    %void AGUI_WINDOW__efox__callback_command(void* C,int idx,EIF_BOOLEAN s,void*a3);%
		    %void AGUI_WINDOW__efox__callback_specific1(void* C,int idx,EIF_BOOLEAN s,void*a3);%
		    %void AGUI_WINDOW__efox__callback_specific2(void* C,int idx,EIF_BOOLEAN s,void*a3);%
		    %void AGUI_WINDOW__efox__callback_changed(void* C,int w, EIF_BOOLEAN s, void* a3);%
		    %void AGUI_WINDOW__efox__callback_destroy(void* C, int a1);%
		    %void AGUI_WINDOW__efox__callback_focus_in(void* C);%
		    %void AGUI_WINDOW__efox__callback_focus_out(void* C);%
		    %void AGUI_WINDOW__efox__callback_key_press(void* C, int ev, int code, void* str);%
		    %void AGUI_WINDOW__efox__callback_key_release(void* C, int ev, int code);%
		    %void AGUI_WINDOW__efox__callback_mouse_release(void* C, unsigned int a1, int a2, int a3, int a4, int a5);%
		    %void AGUI_WINDOW__efox__callback_mouse_press(void* C, unsigned int a1, int a2, int a3, int a4, int a5);%
		    %void AGUI_WINDOW__efox__callback_mouse_motion(void* C, unsigned int a1, int a2, int a3);%
		    %void AGUI_WINDOW__efox__callback_mouse_enter(void* C, unsigned int a1, int a2, int a3);%
		    %void AGUI_WINDOW__efox__callback_mouse_leave(void* C, unsigned int a1, int a2, int a3);%
		    %void AGUI_WINDOW__efox__callback_paint(void* C, int x, int y, int w, int h);%
		    %void AGUI_SHELL_WINDOW__efox__callback_accelerator(void* C,int cmd);%
		    %void* AGUI_WINDOW__efox__callback_context_menu(void* C, int a2, void* a3);%
		    %void* AGUI_WINDOW__efox__callback_query_tip(void* C, int ma, int mi, void* obj);%
		    %void AGUI_MULTICOLUMN_LIST__efox__callback_destroy_item(void* C, void* a1, int key);%
		    %void AGUI_LIST__efox__callback_destroy_item(void* C, void* a1, int key);%
		    %void AGUI_LIST_BOX__efox__callback_destroy_item(void* C, void* a1, int key);%
		    %void AGUI_TREE__efox__callback_destroy_item(void* C, void* a1, int key);%
		    %void AGUI_TREE_BOX__efox__callback_destroy_item(void* C, void* a1, int key);%
		    %void AGUI_TREE_ITEM__efox__callback_destroy(void* C);%
		    %void AGUI_WINDOW__efox__callback_dnd(void* C,void* a1);%
		    %void AGUI_RESOURCE_MANAGER__create_callback(void* C,int n, void* str, void* obj);%
		    %void AGUI_APPLICATION__efox__callback_action(void* C, void* ptr);%
		    %EIF_BOOLEAN AGUI_TOPLEVEL_WINDOW__efox__callback_close(void* C);%
		    %void AGUI_PREDEFINED_DIALOG__efox__callback_destroy(void* C, int key);%
		    %void AGUI_PREDEFINED_DIALOG__efox__callback_finish(void* C, int code);%
		    %void AGUI_EVENT_PORT__efox__callback_receive(void* C, int k, int p1, int p2);%
		    %void AGUI_SCROLLABLE_CLIENT_CONTROL__efox__callback_adjust_mouse(void* C,int x,int y);%
		    %void AGUI_APPLICATION__efox__callback_remove(void* C, void* ptr);")	 	 
	 c_inline_h("void efox_register_eiffel_function(int id, void* function);")
	 c_inline_c("efox_register_eiffel_function(0,AGUI_FONT_MANAGER__unregister);%
		    %efox_register_eiffel_function(1,AGUI_FONT_MANAGER__unregister_zombie);%
		    %efox_register_eiffel_function(2,AGUI_FONT_MANAGER__register_callback);%
		    %efox_register_eiffel_function(6,AGUI_ICON_MANAGER__unregister_zombie);%
		    %efox_register_eiffel_function(5,AGUI_WINDOW__efox__callback_paint);%
		    %efox_register_eiffel_function(7,AGUI_ICON_MANAGER__unregister);%
		    %efox_register_eiffel_function(21,AGUI_PROCESS__efox__callback_error);%
		    %efox_register_eiffel_function(22,AGUI_PROCESS__efox__callback_output);%
		    %efox_register_eiffel_function(20,AGUI_PROCESS__efox__callback_terminate);%
		    %efox_register_eiffel_function(33,AGUI_APPLICATION__efox__callback_action);%
		    %efox_register_eiffel_function(34,AGUI_APPLICATION__efox__callback_remove);%
		    %efox_register_eiffel_function(13,AGUI_APPLICATION__efox__creator_callback);%
		    %efox_register_eiffel_function(3,AGUI_TOPLEVEL_WINDOW__efox__callback_close);%
		    %efox_register_eiffel_function(24,AGUI_WINDOW__efox__callback_destroy);%
		    %efox_register_eiffel_function(25,AGUI_WINDOW__efox__callback_focus_in);%
		    %efox_register_eiffel_function(26,AGUI_WINDOW__efox__callback_focus_out);%
		    %efox_register_eiffel_function(23,AGUI_WINDOW__efox__callback_command);%
		    %efox_register_eiffel_function(30,AGUI_WINDOW__efox__callback_changed);%
		    %efox_register_eiffel_function(35,AGUI_MULTICOLUMN_LIST__efox__callback_destroy_item);%
		    %efox_register_eiffel_function(36,AGUI_LIST__efox__callback_destroy_item);%
		    %efox_register_eiffel_function(37,AGUI_LIST_BOX__efox__callback_destroy_item);%
		    %efox_register_eiffel_function(38,AGUI_WINDOW__efox__callback_key_press);%
		    %efox_register_eiffel_function(39,AGUI_WINDOW__efox__callback_key_release);%
		    %efox_register_eiffel_function(40,AGUI_WINDOW__efox__callback_mouse_release);%
		    %efox_register_eiffel_function(41,AGUI_WINDOW__efox__callback_mouse_press);%
		    %efox_register_eiffel_function(42,AGUI_WINDOW__efox__callback_mouse_motion);%
		    %efox_register_eiffel_function(43,AGUI_WINDOW__efox__callback_mouse_enter);%
		    %efox_register_eiffel_function(44,AGUI_WINDOW__efox__callback_mouse_leave);%
		    %efox_register_eiffel_function(45,AGUI_WINDOW__efox__callback_mouse_adjust);%
		    %efox_register_eiffel_function(46,AGUI_EVENT_PORT__efox__callback_receive);%
		    %efox_register_eiffel_function(47,AGUI_WINDOW__efox__callback_specific1);%
		    %efox_register_eiffel_function(48,AGUI_WINDOW__efox__callback_specific2);%
		    %efox_register_eiffel_function(49,AGUI_TREE__efox__callback_destroy_item);%
		    %efox_register_eiffel_function(50,AGUI_TREE_BOX__efox__callback_destroy_item);%
		    %efox_register_eiffel_function(15,AGUI_MENU__efox__callback_posted);%
		    %efox_register_eiffel_function(9,AGUI_MENU_TEXT_ITEM__efox__callback_invoke);%
		    %efox_register_eiffel_function(16,AGUI_MENU_ITEM__efox__callback_destroy_item);%
		    %efox_register_eiffel_function(29,AGUI_WINDOW__efox__callback_query_tip);%
		    %efox_register_eiffel_function(28,AGUI_WINDOW__efox__callback_context_menu);%
		    %efox_register_eiffel_function(11,AGUI_SETTINGS__efox__callback);%
		    %efox_register_eiffel_function(8,AGUI_PREDEFINED_DIALOG__efox__callback_destroy);%
		    %efox_register_eiffel_function(27,AGUI_SHELL_WINDOW__efox__callback_accelerator);%
		    %efox_register_eiffel_function(10,AGUI_PREDEFINED_DIALOG__efox__callback_finish);%
		    %efox_register_eiffel_function(51,AGUI_SCROLLABLE_CLIENT_CONTROL__efox__callback_adjust_mouse);%
		    %/*********************%
		    %efox_register_eiffel_function(12,ARRAY_STRING_add_last);%
  		    %efox_register_eiffel_function(13,STRING_resize); nicht mehr 13 bereits vergeben !!!!%
		    %efox_register_eiffel_function(14,STRING_to_external);%
		    %efox_register_eiffel_function(18,AGUI_CURSOR_MANAGER__destroy_callback);%
		    %efox_register_eiffel_function(19,AGUI_CURSOR_MANAGER__register_callback);%
		    %efox_register_eiffel_function(17,AGUI_RESOURCE_MANAGER__create_callback);%
		    %efox_register_eiffel_function(31,AGUI_TREE_ITEM__efox__callback_destroy);%
		    %efox_register_eiffel_function(32,AGUI_WINDOW__efox__callback_dnd);%
		    %*/")	 
	 is_initialized := true
	 tooltip_visible := true
	 
	 -- access managers in to create them
	 im := icon_manager
	 cm := cursor_manager
	 font_manager.register_application_fonts
      ensure
	 is_initialized = true
	 tooltip_visible = true
      end
   
   
feature {ANY} -- Misc. functions
   
   
   beep is
	 -- activate the speaker 
      external "C"
      alias "efox_application__beep"
      end
   
   
feature {ANY} -- Global singletons
   
   
   cursor_manager : AGUI_CURSOR_MANAGER is
	 -- 'cursor_manager' singleton object
      once 
	 create result.make
      end
   
   icon_manager : AGUI_ICON_MANAGER is
	 -- 'icon_manager' singleton object
      once
	 create result.make
      end
   
   font_manager : AGUI_FONT_MANAGER is
	 -- 'font_manager' singleton object
      once
	 create result.make
      end
   
   registry : AGUI_REGISTRY_SETTINGS is
      once
	 create result.make
      end
      

feature -- event loop manipuatlion
   
   
   run is
	 -- run the application
      external "C"
      alias "efox_application__run"
      end
   
   
   stop is
	 -- breaks out of the main application loop
	 -- the registry is not saved
      external "C"
      alias "efox_application__stop"
      end
   
      
   is_modal_window_running : BOOLEAN is
	 -- test if there is at least one window running in a modal loop
      external "C"
      alias "efox_application__is_modal_window_running"
      end
   
   
feature {ANY} -- timer and idle task management
   
   
   add_timer_task (milliseconds: INTEGER; action: ROUTINE[ANY,TUPLE]) is
	 -- Register agent as a timer task. He will be called after
	 -- 'milliseonds' elapsed.
      require
	 action /= Void
	 milliseconds > 0
      do
	 task_agents.add_last(action)
	 last_timer_task_id := efox_application__add_timer(milliseconds, action)
      ensure
	 last_timer_task_id /= 0
      end
   
   remove_timer_task (id: INTEGER) is
	 -- Removes the timer 'id'
      do
	 efox_application__remove_timer(id)
      end
   
   last_timer_task_id : INTEGER
 	 -- Id of the last added timer task, 0 means nothing was
 	 -- added until now.
   
   
   add_working_task(action: ROUTINE[ANY,TUPLE]) is
	 -- Register agent as a delayed task. He will be called when no
	 -- other events are available.
      require
	 action /= Void
      do
	 task_agents.add_last(action)
	 last_working_task_id := efox_application__add_working_task(action)
      end
   
   remove_working_task (id: INTEGER) is
	 -- Removes the working task 'id'
      do
	 efox_application__remove_working_task(id)
      end
   
   last_working_task_id : INTEGER
 	 -- Id of the last added working task, 0 means nothing was
	 -- added until now.
   
   
feature {ANY} -- public properties
   
   
   tooltip_visible : BOOLEAN
	 -- Are tooltips visible ?
   
   
   set_tooltip_visible (flag: BOOLEAN) is
	 -- Disable/enable tooltips on an application wide scope.
      require
	 is_initialized
      do
	 tooltip_visible := flag
	 efox_application__set_tooltip_visible(flag)
      end
   
   
feature {ANY}  --  application default values
   
   
   Default_border_color : INTEGER is 0
   Default_base_color : INTEGER is 1
   Default_hilite_color : INTEGER is 2
   Default_shadow_color : INTEGER is 3
   Default_background_color : INTEGER is 4
   Default_foreground_color : INTEGER is 5
   Default_sel_foreground_color : INTEGER is 6
   Default_selection_background_color : INTEGER is 7       
   Default_typing_speed : INTEGER is 8
   Default_click_speed : INTEGER is 9
   Default_scroll_speed : INTEGER is 10
   Default_scroll_delay : INTEGER is 11
   Default_blink_speed : INTEGER is 12
   Default_anim_speed : INTEGER is 13
   Default_menu_pause : INTEGER is 14
   Default_tooltip_pause : INTEGER is 15
   Default_tooltip_time : INTEGER is 16
   Default_drag_delta : INTEGER is 17
   Default_wheel_lines : INTEGER is 18
   Screen_width : INTEGER is 19
   Screen_height : INTEGER is 20
	 -- index values for queries on 'systems_values'
   
   
   system_value(index: INTEGER) : INTEGER is
	 -- retrieve a 'system_value'
      require
	 index.in_range(0,20)
      do
	 result := efox_application__system_value(index)
      end
   
   
   set_system_value(index: INTEGER; new_value: INTEGER) is
	 -- Set a 'system_value'. Some of them, like 'Screen_width'
	 -- and 'Screen_height' can't be changed.
      require
	 index.in_range(0,20)
      do
	 efox_application__set_system_value(index, new_value)
      end
   
   
feature {ANY}  -- GUI refresh and update 
   
   
   force_refresh is
	 -- Force GUI refresh
      do
	 efox_application__force_refresh
      end
   
   refresh is
      -- Schedule a refresh
      do
	 efox_application__refresh
      end
   
   flush is
      -- Flush pending repaints
      do
	 efox_application__flush
      end
   
   
feature {ANY}  -- global application wide settings
   
   
   default_settings : AGUI_SETTINGS
	 -- Object where application wide settings are stored.
	 -- At the moment the AGUI library only use this to 
	 -- store positions of AGUI_SHELL_WINDOW objects in the
	 -- [Shell-Window-Positions] section.
   
   
   set_default_settings (s: AGUI_SETTINGS) is
	 -- Select 's' as default settings
      do
	 default_settings := s
	 efox_application__set_default_settings(s.handle)
      ensure
	 default_settings = s
      end
   
   
feature {AGUI_POPUP_MENU, AGUI_WINDOW}  -- private implementation  "GC Protection"

   
   register_popup_menu(w: AGUI_POPUP_MENU) is
	 -- Protect a new popup from the GC.
      do
	 popup_menus.add_last(w)
      end
   
   unregister_popup_menu(w: AGUI_POPUP_MENU) is
	 -- Remove GC protection
      do
	 popup_menus.remove(popup_menus.fast_index_of(w))
      end
         
   popup_menus : ARRAY[AGUI_POPUP_MENU]
	 -- Field with all non zombie popup menues.
	 -- We need this to protect the objects on the C side from the GC.
   
   task_agents : ARRAY[ROUTINE[ANY,TUPLE]]
	 -- Field with all agents that are scheduled for execution.
	 -- We need this to protect the objects on the C side from the GC.
   
   
feature	 {ANY} -- process methods
   
   
   current_process_id : INTEGER is
	 -- Return ID for current process
      external "C"
      alias "efox_process__current_process_id"
      end
   
   
   observe_process_termination (pid: INTEGER; action: ROUTINE[ANY,TUPLE[INTEGER]]) : BOOLEAN is
      require
	 action /= Void
      local
	 cb: POINTER
      do
	 if efox_application__observe_process_terminate(pid, action, $efox_application__observe_process_terminate_cb) then
	    if observed_processes = Void then
	       create observed_processes.with_capacity(4,1)
	    end
	    observed_processes.add_last(action)
	    result := true
	 end
      end
   

feature {NONE}  -- private area
   
   make is
      do
	 create task_agents.with_capacity(8,1)
	 create popup_menus.with_capacity(4,1)
      end
   
   
feature {NONE}  -- private C callback
   
   
   efox__callback_action (action: ROUTINE[ANY,TUPLE]) is
      do
	 task_agents.remove(task_agents.fast_index_of(action))
	 action.call([])
      end
   
   efox__callback_remove (action: ROUTINE[ANY,TUPLE]) is
      do
	 task_agents.remove(task_agents.fast_index_of(action))
      end
      
   efox__creator_callback (type,hkey: INTEGER; hnd: POINTER) : AGUI_WINDOW is
      local
	 wintypes : expanded AGUI_WINDOW_TYPES
      do
	 if type = wintypes.Button then
	    create {AGUI_BUTTON}result.make_internal(hkey,hnd)
	 elseif type = wintypes.Vertical_frame then
	    create {AGUI_VERTICAL_FRAME}result.make_internal(hkey,hnd)
	 elseif type = wintypes.Scrollbar then
	    create {AGUI_SCROLLBAR}result.make_internal(hkey,hnd)
	 elseif type = wintypes.Scroll_corner then
	    create {AGUI_SCROLL_CORNER}result.make_internal(hkey,hnd)
	 elseif type = wintypes.Statusline then
	    create {AGUI_STATUSLINE}result.make_internal(hkey,hnd)
	 elseif type = wintypes.Drag_corner then
	    create {AGUI_DRAG_CORNER}result.make_internal(hkey,hnd)
--	 elseif type = wintypes.Header then
--	    create {AGUI_HEADER}result.make_internal(hkey,hnd)
	 end
      end
   
   
   efox_application__observe_process_terminate_cb(n: INTEGER; action: ROUTINE[ANY,TUPLE[INTEGER]]) is
      local
	 i: INTEGER
	 found: BOOLEAN
      do
	 -- remove from GC protection field
	 from i := observed_processes.lower until i > observed_processes.upper loop
	    if action = observed_processes.item(i) then
	       observed_processes.remove(i)
	       i := observed_processes.upper
	       found := true
	    end
	    i := i + 1
	 end
	 check found end
	 action.call([n])
      end
   
   
   observed_processes : ARRAY[ROUTINE[ANY,TUPLE[INTEGER]]]
   
   
feature {NONE}  -- private C implementation
   
   
   efox_application__observe_process_terminate(id: INTEGER; action: ROUTINE[ANY,TUPLE[INTEGER]]; cb: POINTER) : BOOLEAN is
      external "C"
      end
   
   efox_application__init (this:like Current; name,vendor,argv,argc: POINTER) is
      external "C"
      end   
   
   efox_application__set_tooltip_visible (flag: BOOLEAN) is
      external "C"
      end
   
   -- event management
   
   efox_application__add_timer(ms: INTEGER; action: ROUTINE[ANY,TUPLE]) : INTEGER is
      external "C"
      end
   
   efox_application__remove_timer(id: INTEGER) is
      external "C"
      end
   
   efox_application__add_working_task(action: ROUTINE[ANY,TUPLE]) : INTEGER is
      external "C"
      end
   
   efox_application__remove_working_task(id: INTEGER) is
      external "C"
      end
	 
   --  default values
   
   efox_application__system_value(n: INTEGER) : INTEGER is
      external "C"
      end
   
   efox_application__set_system_value (i,v: INTEGER) is
      external "C"
      end

   efox_application__set_default_settings(hnd: POINTER) is
      external "C"
      end
   
   efox_application__force_refresh is
      external "C"
      end
   
   efox_application__refresh is
      external "C"
      end
   
   efox_application__flush is
      external "C"
      end   
   
end
   
