expanded class  AGUI_COLOR

--TODO  name lookup slow, because fox uses linear search
--TODO  to_name is not correct
--TODO  name_in_database perhaps not correct and slow
--TODO was wenn name nicht gefunden wurde ???

creation
   make
   
   
feature {ANY}
   
   make is
      do
      end
   
   
   to_integer : INTEGER is
	 -- returns internal integer representation 
      do
	 result := value
      end
   
   from_integer(n: INTEGER) is
	 -- construct from internal integer representation
      do
	 value := n
      end
   
   to_string : STRING is
	 -- return new string with closest matching color name in database
      do	 
	 create result.from_external_copy(efox_color__to_name(value))
      end
   
   from_string (str: STRING) is
      -- construct color from name lookup in database
      require
	 str /= Void
      do
	 value := efox_color__from_name(str.to_external)
      end
   
   
   name_in_database (str: STRING) : BOOLEAN is
      -- test if name of color is in database
      require
	 str /= Void
      do
	 result := efox_color__test_name(str.to_external)
      end
   
   from_rgb (r, g, b: INTEGER) is
	 -- construct color from RGB parts
      do
	 value := efox_color__from_rgb(r,g,b)
      end
   
   
   
   red : INTEGER is
	 -- returns red part of  color
      do
	 result := efox_color__red_part(value)
      end
   
   green : INTEGER is
	 -- returns green part of  color
      do
	 result := efox_color__green_part(value)
      end
   
   blue : INTEGER is
	 -- returns blue part of  color
      do
	 result := efox_color__blue_part(value)
      end
   
   
feature {NONE}  -- private implementation
   
   value : INTEGER
   
   
feature {NONE}  -- private C bindings
   
   efox_color__from_rgb (r, g, b: INTEGER) : INTEGER is
      external "C"
      end
   
   efox_color__from_name (str: POINTER) : INTEGER is
      external "C"
      end
   
   efox_color__to_name(val: INTEGER) : POINTER is
      external "C"
      end
   
   efox_color__red_part(val: INTEGER) : INTEGER is
      external "C"
      end
	
   efox_color__green_part(val: INTEGER) : INTEGER is
      external "C"
      end
	
   efox_color__blue_part(val: INTEGER) : INTEGER is
      external "C"
      end
	
   efox_color__test_name(str: POINTER) : BOOLEAN is
      external "C"
      end
   
end
   
   
	 
