deferred class AGUI_MENU
   
-- This class is only for a well structures inheritance 
-- relation, which disables some errors with strong type checking
   
   
inherit
   AGUI_MENU_BASE
      end
   
   
feature {ANY} -- menu post handler
   
   
   on_popup : PROCEDURE[ANY,TUPLE]
	 -- Agent that are called before the menu is poped up
	 -- on the screen. This handler can build the menu with
	 -- actual values.
   
   
   set_on_popup (action: PROCEDURE[ANY,TUPLE]) is
	 -- Sets the 'on_popup' agent.
      do
	 on_popup := action
      end
   
   
feature {ANY}  -- special
   
   
   smart_append_separator is
	 -- Append a "Separator" object if there are are items in
	 -- the menu and the last item is not a separator.
      local
	 separator : AGUI_MENU_SEPARATOR_ITEM
      do
	 if count > 0 then
	    separator ?= item(count)
	    if separator = Void then
	       create separator.make(Current)
	    end
	 end
      end   
   
   
feature {NONE}
   
   
   efox__callback_posted is
      do
	 if on_popup /= Void then
	    on_popup.call([])
	 end
      end
   
   
end
