deferred class  AGUI_MENU_ITEM
   
   
feature {ANY}  -- public read/only property
   
   menu : AGUI_MENU_BASE
   
   
   destroy is
      do
	 efox_menu_item__destroy(handle)
      end
   
   is_zombie : BOOLEAN is
      do
	 result := handle = default_pointer
      end
   
   
feature {AGUI_MENU_ITEM,AGUI_MENUBAR} -- private C binding
   
   
   handle: POINTER
	 -- FOX object handle
   
   
   efox__callback_destroy_item is
      local
	 idx: INTEGER
      do
	 -- remove item from GC protection
	 idx := menu.menu_items.fast_index_of(Current)
	 check 
	    menu.menu_items.valid_index(idx) 
	 end
	 menu.menu_items.remove(idx)
	 handle := default_pointer
	 menu := Void
      end

   efox_menu_item__destroy(hnd: POINTER) is
      external "C"
      end

invariant   
      
   not is_zombie implies menu /= Void

end
   
