class  AGUI_PACKER
   
   
inherit
   AGUI_COMPOSITE
      end
   AGUI_FRAME_MIXIN
      redefine mixin_window
      end
   AGUI_PACKER_MIXIN
      redefine mixin_window
      end
   
   
creation
   {ANY} make
   
      
feature {ANY} -- mixed inside
   
   
   mixin_window : AGUI_WINDOW is
	 -- window in that this class is mixed in
      do
	 result := Current
      end
   
   
feature {NONE} -- constructor

   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 handle := efox_packer__make(Current,p.handle, n.to_external, $temp_px)
	 efox__window_hash_table.put(Current, temp_px)
      end
   
   
feature {NONE} -- private C binding
   
   
   efox_packer__make (this:like Current; hnd,n,keyptr: POINTER) : POINTER is
      external "C"
      end	 
   
end
