class  AGUI_PLACER
   
inherit
   AGUI_COMPOSITE
      rename make as make_packer
      end
   
   
creation
   {ANY} make
   
   
feature {ANY}
   
   
   position (child: AGUI_WINDOW;  x,y,w,h: INTEGER) is
      require
	 not is_zombie
	 child /= Void
	 not child.is_zombie
	 contains (child)
      do
	 efox_placer__position(child.handle, x,y,w,h)
      end
   
   
feature {NONE} -- constructor, not for reinitialization

   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 init_composite	 
	 handle := efox_placer__make(Current,p.handle,n.to_external)
	 p.register(Current)
	 frame_widget_handle := handle
      end
   
   
feature {NONE} -- private C binding
      
   efox_placer__make (this:like Current; hnd,n: POINTER) : POINTER is
      external "C"
      end	 
   
   efox_placer__position(hnd: POINTER; x,y,w,h: INTEGER) is
      external "C"
      end	 
   
end
   
