class AGUI_TAB_LABEL
   
   
inherit
   AGUI_LABEL_BASE
      end
   
creation
   {ANY} make
   
   
   
feature {ANY} -- orientation
   
   
   orientation : INTEGER is
      require
	 not is_zombie
      do
	 result := efox_tab_label__orientation(handle)
      end
   
   
   set_orientation (n: INTEGER) is
      require
	 not is_zombie
      do
	 efox_tab_label__set_orientation(handle,n)
      end
   
   
feature {NONE} -- constructor

   
   make (p: AGUI_COMPOSITE;  n: STRING) is
      require
	 p /= Void and n /= Void
      do
	 handle := efox_tab_label__make(Current,p.handle, n.to_external, $temp_px)
	 efox__window_hash_table.put(Current, temp_px)
      end
   
   
feature {NONE} -- private C binding
      
   
   efox_tab_label__make (this: like Current; hnd,np,key: POINTER) : POINTER is
      external "C"
      end

   efox_tab_label__orientation(hnd: POINTER) : INTEGER is
      external "C"
      end
   
   efox_tab_label__set_orientation(hnd: POINTER; n: INTEGER) is
      external "C"
      end
   
   
end
   
