class  TEST_CLIENT_CONTROL
   
   
inherit
   TEST_HELPER
      end
   AGUI_GLOBALS
      end
   
   
creation
   make

   
feature {NONE} -- constructor
   
   
   scontrol : AGUI_SCROLLABLE_CLIENT_CONTROL
   control : AGUI_CLIENT_CONTROL
   text: AGUI_TEXT_FIELD
   
   
   
   on_focus_in_agent(s: STRING) is
      do
	 io.put_string("getting focus: "+s+"%N")
      end
   
   on_focus_out_agent(s: STRING) is
      do
	 io.put_string("loosing focus: "+s+"%N")
      end
   
   on_mouse_motion_agent(mod: BIT Integer_bits; x,y: INTEGER) is
      do
	 io.put_string("mouse at: "+x.to_string+" "+y.to_string+"%N")
      end
   
   on_key_agent (ev,code: INTEGER; s: STRING) is
      do
	 io.put_string("key: "+s+"%N")	 
	 if not s.is_empty then
	    io.put_string("Key: " + s + "%N")
	    text.append(s)
	 end
      end
   
   
   on_paint_cagent (x,y,w,h: INTEGER) is
      local
	 col: AGUI_COLOR
      do
	 control.begin_paint
	 col.from_string("yellow")
	 control.paint_context.set_color(col)
	 control.paint_context.draw_filled_rectangle(x,y,w,h)
	 col.from_string("black")
	 control.paint_context.set_color(col)
	 control.paint_context.draw_string(20,20,"Hello World")
	 control.end_paint
      end
   
   
   on_paint_sagent (x,y,w,h: INTEGER) is
      local
	 col: AGUI_COLOR
      do
	 scontrol.begin_paint
	 col.from_string("yellow")
	 scontrol.paint_context.set_color(col)
	 scontrol.paint_context.draw_filled_rectangle(x,y,w,h)
	 col.from_string("black")
	 scontrol.paint_context.set_color(col)
	 scontrol.paint_context.draw_string(20,20,"Hello World")
	 scontrol.end_paint
      end
   
   
   make is
      local
	 b : AGUI_BUTTON
      do
	 init
	 create scontrol.make(Current, "scroll-control")
	 create control.make(Current, "control")
	 create text.make(Current,"t")
	 text.set_visible_size(50,1)
	 
	 control.set_default_height(100)
	 control.set_default_width(100)
	 scontrol.set_fixed_width(100)
	 scontrol.set_fixed_height(100)
	 scontrol.set_content_size(500,250)
	 
	 control.set_on_key_press(agent on_key_agent)
	 control.set_on_focus_in(agent on_focus_in_agent("client"))
	 control.set_on_focus_out(agent on_focus_out_agent("client"))
	 control.set_on_paint(agent on_paint_cagent)
	 
	 scontrol.set_on_mouse_motion(agent on_mouse_motion_agent)
	 scontrol.set_on_key_press(agent on_key_agent)
	 scontrol.set_on_focus_in(agent on_focus_in_agent("scroll client"))
	 scontrol.set_on_focus_out(agent on_focus_out_agent("scroll client"))
	 scontrol.set_on_paint(agent on_paint_sagent)
	 
	 create b.make(Current, "foo")
	 b.set_text("Print Info")
	 application.add_timer_task(10000, agent application.stop)
         application.run         
	 destroy	 
      end
   
      
end
