deferred class TEST_HELPER
   
inherit
   AGUI_MAIN_WINDOW
      rename make as make_main
      end
   AGUI_GLOBALS
      end
   AGUI_EVENT_CONSTANTS
      end
   
   
feature {ANY}  -- initialization
   
   
   font1,font2,font3 : AGUI_FONT
   icon1,icon2,icon3 : AGUI_ICON
   
   black_color, green_color, blue_color, red_color : AGUI_COLOR


feature
   
   install_normal_event_handlers(w: AGUI_WINDOW) is
      do
      end
   
   test_control_methods (w: AGUI_CONTROL) is
      do
      end
   
   test_frame_mixin_methods (w: AGUI_FRAME_MIXIN) is
      do
      end
   
   
   init is
      local
	 im: AGUI_ICON_MANAGER
	 fm: AGUI_FONT_MANAGER
      do
	 application.init(Current.generating_type,"MidnightSoft")	 
    	 make_main("main")
	 
	 im := application.icon_manager
	 im.register("testicon1")	 
	 check im.last_register_status end
	 im.register("testicon2")
	 check im.last_register_status end
	 im.register("testicon3")
	 check im.last_register_status end
	 icon1 := im.find("testicon1")
	 icon2 := im.find("testicon2")	 
	 icon3 := im.find("testicon3")
	 fm := application.font_manager
	 fm.register("testfont1", "Courier New", 20, true, true)
	 fm.register("testfont2", "Arial", 20, true, true)
	 fm.register("testfont3", "Arial", 20, false, true)
	 font1 := fm.find("testfont1")
	 font2 := fm.find("testfont2")
	 font3 := fm.find("testfont3")
 	 red_color.from_rgb(255,0,0)
	 blue_color.from_rgb(0,0,255)
	 green_color.from_rgb(0,255,0)
	 black_color.from_rgb(0,0,0)
	 resize(500,500)
	 move(100,100)
	 set_visible(true)
      end
   
   
   create_exit_button is
      local
	 b: AGUI_BUTTON
      do
	 create b.make(Current,"exit-button")
	 b.set_text("Exit Program")
	 b.set_on_command(agent application.stop)
      end
   
end
