--  Test for the simple layout manager classes:  
--
--     AGUI_HORIZONTAL_FRAME
--     AGUI_VERTICAL_FRAME
--     AGUI_HORIZONTAL_SEPARATOR
--     AGUI_VERTICAL_SEPARATOR
--     AGUI_SWITCHER
--     AGUI_PACKER
--     AGUI_MATRIX
--

class  TEST_LAYOUT_MANAGER
   
   
inherit
   TEST_HELPER
   end
   
   
creation
   make
   
   
feature
   
   
   hsep: AGUI_HORIZONTAL_SEPARATOR
   vsep: AGUI_VERTICAL_SEPARATOR
   m: AGUI_MATRIX
   
   make is
      local
	 b: AGUI_BUTTON
	 eiffel_bug:  BUG_WORKAROUND
      do
	 init
	 make_main("main")
	 eiffel_bug.avoid
	 
	 create m.make(Current, "hallo")
	 m.set_matrix_size(3)
	 create b.make(m, "foo"); b.set_text("Matrix Elt 1")
	 create b.make(m, "foo"); b.set_text("Longer Matrix Elt 2")
	 create b.make(m, "foo"); b.set_text("Matrix Elt 3")
	 create b.make(m, "foo"); b.set_text("Matrix Elt 4")
	 create b.make(m, "foo"); b.set_text("Matrix Elt 5")	 
	 create b.make(m, "foo"); b.set_text("Matrix Elt 6")	 
	 create b.make(m, "foo"); b.set_text("Matrix Elt 7")	 
	 
	 create b.make(Current, "foo")
	 b.set_text("Hallo")
	 create hsep.make(Current, "hs")
	 hsep.set_layout_hints(hsep.Layout_fill_x)
	 create b.make(Current, "foo")
	 b.set_text("World")	 
	 b.set_layout_hints(b.Layout_side_left)
	 create vsep.make(Current, "vs")
	 vsep.set_layout_hints(hsep.Layout_fill_y)
	 create b.make(Current, "foo")
	 b.set_text("Foobar")
	 
	 
	 resize(500,500)
	 move(100,100)
	 set_visible(true)
	 
	 application.add_timer_task(2000, agent application.stop)
	 application.run
	 destroy
	 
      end
   
end
