class TEST_MAIN_WINDOW
   
   
inherit
   AGUI_MAIN_WINDOW
      rename make as make_main
   end
   
creation
   make
   
   
feature  -- tesst of shell feature
   
--   place,position,resize,move, accelerator_table
   
feature
   
  
   stop is
      do
	 destroy
      end
   
   change_iconify_again is
      do
	 set_iconify_state(not iconify_state)
	 application.add_timer_task(1000, agent stop)
      end
   
   change_iconify is
      do
	 set_iconify_state(not iconify_state)
	 application.add_timer_task(1000, agent change_iconify_again)
      end
   
   query_close: BOOLEAN is
      do
	 result := true
      end
   
   destroy_message (str: STRING) is
      do
	 io.put_string("destroy window " + str + "%N")
      end
   
   focus_in_message is   
      do
	 io.put_string("focus in message %N")
      end
   
   focus_out_message is
      do
	 io.put_string("focus out message %N")
      end
   
   
   
   make is
      local
	 eiffel_bug:  BUG_WORKAROUND
	 im: AGUI_ICON_MANAGER
	 top: AGUI_TOPLEVEL_WINDOW
      do
	 eiffel_bug.avoid
	 application.init("test_application","MidnightSoft")
	 im := application.icon_manager
	 make_main("Hello World")
	 
	 
	 set_on_query_close(agent query_close)
 
	 -- test title setting
	 set_title("My Hello World Test");
	 check
	    title.is_equal("My Hello World Test")
	    title /= title 
	 end
	 
	 -- test decoration
	 set_decoration(Decoration_close + Decoration_menu + Decoration_title + Decoration_maximize)
	 io.put_string(" Decoration: " + decoration.to_string + "%N")
	 
	 -- test icons and iconify
	 set_normal_icon(im.find("testicon1"))
	 check normal_icon = im.find("testicon1") end
      
	 set_mini_icon(im.find("testicon2"))
	 check mini_icon = im.find("testicon2") end
	 
	 io.put_string("iconify state: " +  iconify_state.to_string + "%N")
	 application.add_timer_task(2000, agent change_iconify)
	 set_on_destroy(agent destroy_message("main"))
	 set_on_focus_in(agent focus_in_message)
	 set_on_focus_out(agent focus_out_message)
			 
	 set_visible(true)
	 resize(100,300)
	 place(Placement_screen)
	 
	 --
	 --  now create the unused toplevel window
	 --
	 create top.make("dummy")
         top.set_visible(true)
         top.position(50,50,50,100)
	 top.set_title("dummy")
	 top.set_on_destroy(agent destroy_message("toplevel"))
	 application.run
      end

end
   
