class  TEST_MENU_BUTTON
   
   
inherit
   TEST_HELPER
      end

creation
   make
   
   
feature
   
   mbutton : AGUI_MENU_BUTTON
   slider : AGUI_SLIDER
   
   
   p(s: STRING) is
      do
	 io.put_string(s + "%N")
      end
   
   mouse_motion(mod: BIT Integer_bits; x: INTEGER; y:INTEGER) is
      do
	 p("Motion: " + x.to_string + "," + y.to_string)
      end
   
   command (n: INTEGER) is
      do
	 p("Invoked menu command: " + n.to_string)
      end
   
   
   make is
      local
	 mc: AGUI_MENU_COMMAND_ITEM
      do
	 init
	 create mbutton.make(Current, "foo")
	 mbutton.set_on_mouse_motion(agent mouse_motion)
	 mbutton.set_text("menu button")
	 create mc.make(mbutton, "Hello", agent command(1))
	 create mc.make(mbutton, "Welt", agent command(2))
	 create mc.make_with_icon(mbutton, "Icon", icon2, agent command(3))
	 
	 mbutton.set_toolbar_style(true)
	 check mbutton.toolbar_style = true end
	 mbutton.set_hide_arrow(false)
	 check mbutton.hide_arrow = false end
	 mbutton.set_popup_side(mbutton.Side_left)
	 check mbutton.popup_side = mbutton.Side_left end
	 mbutton.set_popup_attachment(mbutton.Attach_left)
	 check mbutton.popup_attachment = mbutton.Attach_left end
	 
	 application.add_timer_task(6000, agent application.stop)
         application.run
      end
   
end
   
