class TEST_PROGRESS_BAR
   
inherit
   TEST_HELPER
      end

creation
   make
   
   
feature
   
   progress : AGUI_PROGRESS_BAR
   slider : AGUI_SLIDER
   
   
   p(s: STRING) is
      do
	 io.put_string(s + "%N")
      end
   
   mouse_motion(mod: BIT Integer_bits; x: INTEGER; y:INTEGER) is
      do
	 p("Motion: " + x.to_string + "," + y.to_string)
      end
   
   
   make is
      do
	 init
	 create progress.make(Current, "progress")
	 create slider.make(Current, "foo")
	 slider.set_on_changed(agent progress.set_progress)
	 slider.set_on_command(agent progress.set_progress)	 
	 progress.set_fixed_width(100)
	 progress.set_fixed_height(20)
	 slider.set_fixed_width(100)
	 slider.set_fixed_height(20)
	 slider.set_range([1,100])
	 slider.set_value(50)
	 
	 progress.set_total(100)
	 check progress.total = 100 end
	 progress.set_progress(30) 
	 check progress.progress = 30 end	 
	 progress.set_visible_number(true)
	 check progress.visible_number end
	 progress.set_vertical_orientation(false)
	 check progress.vertical_orientation = false end
	 progress.set_font(font2)
	 check progress.font = font2 end
	 progress.set_text_alternate_color(red_color)
	 check progress.text_alternate_color = red_color end
	 progress.set_text_color(green_color)
	 check progress.text_color = green_color end
	 progress.set_bar_color(green_color)
	 check progress.bar_color = green_color end	 
	 progress.set_bar_background_color(black_color)
	 check progress.bar_background_color = black_color end
	 progress.set_bar_width(4)
	 check progress.bar_width = 4 end
	 progress.increment(10)
	 progress.set_on_mouse_motion(agent mouse_motion)
	 
	 application.add_timer_task(6000, agent application.stop)
         application.run
      end
   
end
