class  TEST_SHUTTER
   
   
inherit
   TEST_LABEL_BASE
      end
   AGUI_MAIN_WINDOW
      rename make as make_main
      end
   AGUI_GLOBALS
      end
   
   
creation
   make

   
feature 
   
   switch_shutter (n: INTEGER) is
      do
	 shutter.set_current(n)
	 check current = n end
      end
   
   
   shutter: AGUI_SHUTTER
   item1 : AGUI_SHUTTER_ITEM
   item2 : AGUI_SHUTTER_ITEM
   item3 : AGUI_SHUTTER_ITEM
   
   
   make is
      local
	 b: AGUI_BUTTON
      do
	 init
	 make_main("main")
	 
	 io.put_string("windows before: " + efox__window_hash_table.count.to_string + "%N")
	 create shutter.make(Current, "shutter")
	 shutter.set_layout_hints(shutter.Layout_fill_x + shutter.Layout_fill_y)
	 io.put_string("windows after win: " + efox__window_hash_table.count.to_string + "%N")
	 create item1.make(shutter, "item1")
	 io.put_string("windows after item 1: " + efox__window_hash_table.count.to_string + "%N")
	 create item2.make(shutter, "item2")
	 create item3.make(shutter, "item3") 
	 check shutter.no_of_items = 3 end
	 
	 item1.button.set_text("Debug")
	 item1.button.set_on_click(agent switch_shutter(1))
	 item2.button.set_text("Compiler")
	 item2.button.set_on_click(agent switch_shutter(2))
	 item3.button.set_text("Editor")
	 item3.button.set_on_click(agent switch_shutter(3))
	 
	 create b.make(item1.content, "b1")
	 b.set_text("Button")
	 b.set_icon(icon1)
	 create b.make(item2.content, "b1")
	 b.set_text("Button + Icon 2")
	 b.set_icon(icon2)
	 create b.make(item2.content, "b2")
	 b.set_text("Button + Icon 3")
	 b.set_icon(icon3)
	 
	 position(100,100,300,200)
	 set_visible(true)
	 application.add_timer_task(1000, agent switch_shutter(2))
	 application.add_timer_task(2000, agent switch_shutter(3))
	 application.add_timer_task(3000, agent switch_shutter(1))
	 application.add_timer_task(4000, agent destroy)
	 application.run
      end
   
end
