class  TEST_STATUSBAR
   
inherit
   TEST_HELPER
      end
   
   
creation
   make
   

feature
   
   statusline: AGUI_STATUSLINE
   statusbar1: AGUI_STATUSBAR
   statusbar2: AGUI_STATUSBAR
   drag_corner: AGUI_DRAG_CORNER
   
   
   make is
      local
	 b: AGUI_BUTTON
      do
	 init
	 
	 create statusbar1.make(Current, "statusbar")
	 check statusbar1.statusline /= Void end
	 check statusbar1.drag_corner /= Void end
	 check not statusbar1.drag_corner_visible end
	 
	 create statusbar2.make(Current, "statusbar")
	 check not statusbar2.drag_corner_visible end
	 statusbar2.set_drag_corner_visible(true)
	 check statusbar2.statusline /= Void end
	 check statusbar2.drag_corner /= Void end
	 check statusbar2.drag_corner_visible end
	 statusbar2.set_layout_hints(statusbar2.Layout_fill_x + statusbar2.Layout_side_top)
	 
	 drag_corner := statusbar2.drag_corner
	 drag_corner.set_highlight_color(red_color)
	 check drag_corner.highlight_color = red_color end
	 drag_corner.set_shadow_color(blue_color)
	 check drag_corner.shadow_color = blue_color end
	 
	 statusline := statusbar2.statusline
	 statusline.set_text_color(blue_color)
	 check statusline.text_color = blue_color end
	 statusline.set_highlight_text_color(red_color)
	 check statusline.highlight_text_color = red_color end
	 statusline.set_text("Hello world%N how are you today!")
	 check statusline.text.is_equal("Hello world%N how are you today!") end
	 statusline.set_font(font2)
	 check statusline.font = font2 end
	 
	 create b.make(statusbar2, "button")
	 b.set_text("button")
	 
	 application.add_timer_task(10000, agent application.stop)	 
	 application.run
	 check statusbar2.statusline = statusline end
	 statusline.destroy
	 check statusline.is_zombie end
	 check statusbar2.statusline = Void end
	 check statusbar2.drag_corner /= Void end
      end
   
end
   
